Subject: Re: [spi-devel-general] [PATCH v3] spi: Add PPC4xx SPI driver

From: David Brownell <[email-masked]>
Date: Thu, 20 Nov 2008 19:17:37 -0800

On Thursday 30 October 2008, Jason Hanna wrote:
> Also, any pointers to sample/test code incorporating a spi protocol
> driver would be incredibly helpful.

Look at Documentation/spi/*.c ... for user mode code
hooking up through "spidev".

> I'm very new to device driver 
> programming and don't really know what I'm doing yet. I seem to be
> getting the spi_ppc4xx and spi_bitbang modules loaded, but am unsure
> how to verify proper initialization and what next steps I need to
> follow in order to develop and associate a protocol driver.

Documentation/spi/spi-summary should help.
And sticking a 'scope on the outputs (as you
said you plan) is a decent place to start,
if you don't have something to talk to yet.

- dave